app.controller('entityModalCtrl', function ($uibModalInstance, $scope, $auth, data) {
  $scope.entity = data.entity;
  $scope.item = data.item;
  //$scope.lookup = data.lookup;
  $scope.view = data.view || false;

  $scope.isAdmin = $auth.isAdmin;
  $scope.hasClearance = $auth.hasClearance;

  $scope.ok = $uibModalInstance.close;
  $scope.cancel = function () {
    if (!$scope.entity.preventDirtyRedirect) return $uibModalInstance.dismiss();
    if (!$scope._form.$dirty) return $uibModalInstance.dismiss();

    swal({
      title: "Existem alterações não guardadas, pretende fechar a janela na mesma?",
      showConfirmButton: true,
      confirmButtonText: "Sim",
      showCancelButton: true,
      cancelButtonText: "Ainda não!",
      type: "warning"
    }).then(function (result) {
      if (result && result.dismiss) return;
      $uibModalInstance.dismiss();
    }).catch(function (err) {
      console.error(err);
    });
  };
});