app.directive('addressEdit', function () {
  return {
    restrict: 'A',
    scope: {
      item: '='
    },
    templateUrl: 'directives/address/addressEdit.html',
    controller: function ($scope, $address, lookup) {
      $scope.validateZipcode = $address.validateZipcode;
      $scope.lookup = lookup;

      $scope.getAddressPT = function (zipcode) {
        $address.getAddressPT(zipcode, function (err, data) {
          if (err) return swal("Atenção", "Não foi possível completar o arruamento", "warning");

          $scope.item.address = data.address;
          $scope.item.city = data.city;
          $scope.item.locality = data.locality;
          $scope.item.county = data.county;
          $scope.item.country = "Portugal";
        });
      };
    }
  };
});