app.directive('authChangePassword', function () {
  return {
    restrict: 'A',
    scope: false,
    templateUrl: 'directives/auth/changePassword/changePassword.html',
    controller: function ($scope, $auth, $rootScope, blockUI, apiError) {
      $scope.changePassword = function (item) {
        blockUI.start("A verificar elegibilidade...");
        $auth.changePassword($rootScope.login, item.password, item.repeat).then(function (response) {
          $auth.logout(function () {
            //user redirected to anonymous page "/#/"
          });
        }).catch(function (response) {
          swal("Não foi possível alterar a sua password", response.data  || apiError.timeout, "warning");
        }).finally(function () {
          blockUI.stop();
        });
      };
    }
  };
});