app.directive('queryBuilder', function () {
  return {
    restrict: 'A',
    scope: {
      field: '=',
      model: '=',
      key: '@'
    },
    replace: false,
    template: '<div ng-include src="contentUrl" include-replace></div>',
    controller: function ($scope) {
      $scope.$watch('field.type', onFieldChange);

      function onFieldChange(newField) {
        if (!newField) return;
        var type = $scope.field.type || 'Unknown';
        if ($scope.field.type === 'ObjectId' && typeof $scope.field.ref === 'undefined') {
          type = "String";
        }
        $scope.contentUrl = "directives/report/queryBuilder/" + type + ".html";
      }
    }
  };
});