//manage tasks Controller
app.controller('taskCtrl', function ($scope, $rootScope, $date, $task, $timeout, mySocket, blockUI, apiError) {
  $scope.taskTypes = [];

  $scope.formatDatetime = $date.formatDatetime;

  $scope.calculateTimespan = $date.calculateTimespan;

  $scope.toggleState = $task.toggleState;

  $scope.run = function (task) {
    $task.run(task).then(function (response) {
      blockUI.start('A executar...');
    }).catch(function (response) {
      swal('Ocorreu um erro ao iniciar a tarefa manualmente.', response.data || apiError.timeout, 'error');
    });
  };

  $timeout(initialize);

  function initialize() {
    mySocket.on($rootScope.login._id, function (data) {
      swal('Tarefa executada com sucesso.', null, 'success');
      blockUI.stop();
    });

    $task.getTypes(function (types) {
      $scope.taskTypes = types;
    });
  }
});