app.service('$license', function ($modal, $uibModalStack, $location, $timeout) {
  this.isLicensed = function (moduleId, user) {
    var isAllowed = false;
    if (typeof moduleId === 'undefined') isAllowed = true;
    else if (!user) isAllowed = false;
    else if (!user.license) isAllowed = false;
    else if (!(user.license.modules instanceof Array)) isAllowed = false;
    else isAllowed = user.license.modules.find(function (_moduleId) {
      return moduleId === _moduleId;
    }) || false;
    console.log('ngClick license', moduleId, 'allowed', isAllowed);
    return isAllowed;
  };

  this.notify = function (moduleId) {
    if (typeof moduleId === 'undefined') return;
    $timeout(function () {
      console.log('unlicensed notification', moduleId);
      $modal.open('unlicensed', 'md', { moduleId: moduleId }, redirectToProfile, redirectToProfile);
    });
  };

  function redirectToProfile() {
    $uibModalStack.dismissAll();
    $location.path("/profile");
  }
});