app.service('$modal', function ($uibModal, zapi) {
  this.open = function (name, size, data, okCallback, dismissCallback) {
    var entityObj = zapi.entityMap[name];

    var modalInstance = $uibModal.open({
      animation: true,
      templateUrl: entityObj ? 'entity/entity.modal.html' : 'modal/' + name + '/' + name + '.html',
      controller: entityObj ? 'entityModalCtrl' : name + 'Ctrl',
      size: size,
      backdrop: 'static',
      resolve: {
        data: function () {
          return data;
        }
      }
    });

    okCallback = okCallback || function () { };
    dismissCallback = dismissCallback || function () { };
    modalInstance.result.then(okCallback, dismissCallback);
  };
});