app.controller('factoryDefaultsCtrl', function ($scope, blockUI, $factoryDefaults, $modal) {
  $scope.resetFactoryDefaults = function () {
    swal({
      type: "warning",
      title: "Esta operação é irreversível",
      text: "Tem a certeza que deseja restaurar configurações de fábrica?",
      input: 'password',
      showCloseButton: true,
      showCancelButton: true,
      focusConfirm: false,
      confirmButtonText: "Sim",
      cancelButtonText: "Não"
    }).then(function (result) {
      if (result && result.dismiss) return;
      blockUI.start("A verificar credenciais...");
      $factoryDefaults.reset(result.value, function (err, token) {
        blockUI.stop();
        if (err) return swal("Credenciais inválidas", err, "error");
        $modal.open('resetFactoryDefaults', 'md', token);
      });
    }).catch(function (err) {
      console.error(err);
    });
  };
});