app.directive('dlKeyCode', dlKeyCode);

function dlKeyCode() {
  return {
    restrict: 'A',
    link: function($scope, $element, $attrs) {
      $element.bind("keypress", function(event) {
        var keyCode = (event.which || event.keyCode).toString();
        if (keyCode !== $attrs.code) return;

        $scope.$apply(function() {
          $scope.$eval($attrs.dlKeyCode, { $event: event });
        });
      });
    }
  };
}
