app.directive('ngAttr', function ($parse) {
  return {
    restrict: 'A',
    link: function (scope, element, attrs) {
      var el = element[0];

      scope.$watch(attrs.ngAttr, setAttributes, true);

      function setAttributes() {
        var attrsAndValueRefs = $parse(attrs.ngAttr)(scope) || {};

        Object.keys(attrsAndValueRefs).filter(function (attr) {
          return typeof attrsAndValueRefs[attr] === 'string' && attrsAndValueRefs[attr] !== el.getAttribute(attr);
        }).forEach(function (attr) {
          el.setAttribute(attr, attrsAndValueRefs[attr]);
        });
      }
    }
  };
});