app.filter("dateFilter", function () {
  return function (items, key, from, to) {
    if (typeof items === 'undefined') return;
    if (!(items instanceof Array)) return;

    from = typeof from === 'undefined' ? new Date('1999-01-01') : new Date(from);
    to = typeof to === 'undefined' ? new Date() : new Date(to);

    var result = [];
    items.forEach(function (item) {
      var value = new Date(item[key]);
      if (value >= from && value <= to) result.push(item);
    });
    return result;
  };
});