app.controller('resetFactoryDefaultsCtrl', function ($scope, $uibModalInstance, mySocket, data) {
  $scope.cancel = $uibModalInstance.dismiss;

  $scope.progress = 0;
  $scope.text = "A conectar ao servidor...";
  var token = data;
  mySocket.on(token, function (data) {
    switch (data.type) {
      case "progress":
        $scope.progress = data.content;
        $scope.text = "Em progresso...";
        break;
      case "error":
        $scope.text = "Erro";
        swal("Não foi possível finalizar a reposição", data.content, "error");
        $uibModalInstance.close();
        break;
      case "end":
        $scope.text = "Concluído";
        $scope.progress = 100;
        swal("Já está", "As configurações foram repostas", "success");
        $uibModalInstance.close();
        break;
      default:
        console.log('unexpected packet', data);
    }
  });
});
