app.service('$newsletter', function ($entity, blockUI) {
    this.subscribe = function (item) {
        if (!item) return;

        blockUI.start("A gravar email...");
        $entity.add('newsletter', item, $scope).then(function (response) {
            swal("Newsletter", 'Email gravado com sucesso', 'success');
        }).catch(function (response) {
            swal("Newsletter", 'Não foi possível registar o seu email de momento por favor tente novamente', 'warning');
        }).finally(function () {
            callback();
            blockUI.stop();
        });
    };
});
