app.service('$report', function ($http, blockUI, $httpParamSerializer, zapi, apiError) {
  this.getMetadata = function (reportKey, callback) {
    var url = zapi.serverUrl + '/api/report/metadata/' + reportKey;

    blockUI.start('A obter meta dados...');
    $http.get(url).then(function (response) {
      callback(null, response.data);
    }).catch(function (response) {
      callback(response.data || apiError.timeout);
    }).finally(function () {
      blockUI.stop();
    });
  };

  this.getReport = function (namespace, db, reportKey, item, callback) {
    var url = zapi.serverUrl + '/api/report/get/' + namespace + '/' + db + '/' + reportKey + '?' + $httpParamSerializer(item);

    blockUI.start('A obter dados...');
    $http.get(url).then(function (response) {
      callback(null, response.data);
    }).catch(function (response) {
      callback(response.data || apiError.timeout);
    }).finally(function () {
      blockUI.stop();
    });
  };
});