app.service('$task', function ($http, blockUI, zapi, apiError) {
  this.toggleState = function (task) {
    blockUI.start('A executar...');
    $http.get(zapi.serverUrl + '/api/task/toggle/' + task._id).then(function (response) {
      //todo $route.reload();
    }).catch(function (response) {
      swal("Ocorreu um erro ao alternar o estado da tarefa", response.data || apiError.timeout, 'error');
    }).finally(function () {
      blockUI.stop();
    });
  };

  this.run = function (task) {
    return $http.get(zapi.serverUrl + '/api/task/run/' + task._id);
  };

  this.getTypes = function (callback) {
    blockUI.start('A obter dados...');
    $http.get(zapi.serverUrl + '/api/task/types').then(function (response) {
      callback(response.data);
    }).catch(function (response) {
      swal("Não foi possível atualizar a lista de tarefas", response.data || apiError.timeout, 'error');
      callback([]);
    }).finally(function () {
      blockUI.stop();
    });
  };
});